Transcript LOL API
POST
/spaces/{spaceId}/recordings/{recordingId}/translations

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId*string

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

Request Body

application/json

Translation options

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://transcript.lol/api/v1/spaces/string/recordings/string/translations" \  -H "Content-Type: application/json" \  -d '{    "language": "es"  }'
{
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "recordingId": "string",
  "language": "bg",
  "status": "NOT_STARTED",
  "failure": "string",
  "aiModelId": "string",
  "contentBlobId": "string",
  "contentRawBlobId": "string",
  "createdById": "string",
  "unPaidMinutes": 0,
  "queuedAt": "string",
  "startedAt": "string",
  "completedAt": "string"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}